# Asynchronní korutiny
import aio

"""
>>> c1 = aio.sleep(1)
>>> aio.run(c1)
### vteřina čekání
"""
async def print_now(string):
    print(string)

"""
>>> c2 = print_now("A")
>>> aio.run(c2)
A
"""
    
async def print_after(delay, string):
    await aio.sleep(delay)
    print(string)

"""
>>> c3 = print_after(1, "A")
>>> aio.run(c3)
### vteřina čekání
A
"""

async def prog1():
    await print_after(2, "A")
    await print_after(2, "B")
    print("C")

"""
>>> aio.run(prog1())
### dvě vteřiny čekání
A
### dvě vteřiny čekání
B
C
"""



async def tasks():
    promise1 = aio.arun(print_after(2, "A"))
    promise2 = aio.arun(print_after(2, "B"))
    await promise1
    await promise2
    print("C")

"""
>>> aio.run(prog2())
### dvě vteřiny čekání
A
B
C
"""
